

import org.kie.api.KieServices;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.StatelessKieSession;

/**
 * This is a sample class to launch a rule.
 */
public class ExtraThread {

	//executes the rules inside an own thread - does not stop on breakpoint inside rules
    public static void main(String[] args) throws InterruptedException {
    	Thread t = new Thread() {
    		@Override
    		public void run() {
    			KieServices ks = KieServices.Factory.get();
    			KieContainer container = ks.newKieClasspathContainer();
    			StatelessKieSession kSession = container.newStatelessKieSession("ksession-rules");
    			kSession.execute(new StringBuilder("One"));
    		}
    	};
    	t.start();
    	t.join();
	}
}
